Configure.ac has no reference to python-numpy

Bug #381128 reported by António Lima on 2009-05-27
6
This bug affects 1 person
Affects Status Importance Assigned to Milestone
[Legacy] GNOME Activity Journal
Invalid
Undecided
Unassigned

Bug Description

I built zeitgeist but it would not run properly until I install python-numpy. There is no mention of this package in configure.ac file, so a user that tries to build zeitgeist might not find what he's missing.

Siegfried Gevatter (rainct) wrote :

Thank you for your bug report.

Package python-numpy is in no way required to build Zeitgeist, only to run it (there's a difference between Build Dependencies and Dependencies necessary to run it), and the ImportError message which is given is explicit enough for anyone who builds the package.

Listing the dependencies in a README or INSTALL file would be a nice thing to do, I'll write that down.

Of course, I built Zeitgeist without python-numpy, that was stupid of
me. But having the dependencies listed would indeed be nice. Thanks

Siegfried Gevatter (rainct) wrote :

2009/5/28 António Lima <email address hidden>:
> Of course, I built Zeitgeist without python-numpy, that was stupid of
> me.

You don't need python-numpy to *build* it, you need it to *run* it.
Those are different processes.

And yes, the dependencies list will definitely be there :).

Siegfried Gevatter (rainct) wrote :

The GNOME Zeitgeist project for creating a GUI is now called GNOME Activity Journal, and yesterday we released the first version of it.

You can get both the Activity Journal and Zeitgeist from our PPA: https://launchpad.net/~zeitgeist/+archive/ppa

Changed in gnome-zeitgeist:
status: New → Invalid
To post a comment you must log in.
This report contains Public information  Edit
Everyone can see this information.

Other bug subscribers